Name | Type | Default |
animationShowDelay
|
Number
|
250
|
Sets or gets the delay of the fade animation when the CheckBox is going to be checked.
<template> <JqxCheckBox ref="myCheckBox" :animationShowDelay="300"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the animationShowDelay property. let animationShowDelay = this.$refs.myCheckBox.animationShowDelay;
|
animationHideDelay
|
Number
|
300
|
Sets or gets the delay of the fade animation when the CheckBox is going to be unchecked.
<template> <JqxCheckBox ref="myCheckBox" :animationHideDelay="500" :checked="true"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the animationHideDelay property. let animationHideDelay = this.$refs.myCheckBox.animationHideDelay;
|
boxSize
|
String
|
"13px"
|
Sets or gets the checkbox's size.
<template> <JqxCheckBox ref="myCheckBox" :boxSize="'15px'"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the boxSize property. let boxSize = this.$refs.myCheckBox.boxSize;
|
checked
|
Boolean
|
false
|
Sets or gets the check state.
Possible Values: (when the hasThreeStates property value is true)
'true'
'false'
'null'
<template> <JqxCheckBox ref="myCheckBox" :checked="true"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the checked property. let checked = this.$refs.myCheckBox.checked;
|
disabled
|
Boolean
|
false
|
Sets or gets whether the CheckBox is disabled.
<template> <JqxCheckBox ref="myCheckBox" :disabled="true"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the disabled property. let disabled = this.$refs.myCheckBox.disabled;
|
enableContainerClick
|
Boolean
|
true
|
Sets or gets whether the clicks on the container are handled as clicks on the check box.
<template> <JqxCheckBox ref="myCheckBox" :enableContainerClick="false"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the enableContainerClick property. let enableContainerClick = this.$refs.myCheckBox.enableContainerClick;
|
groupName
|
String
|
""
|
Sets or gets the group name. When this property is set, the checkboxes in the same group behave as radio buttons.
<template> <div> <JqxCheckBox ref="checkBox1" :groupName="'panel'"> Entertainment </JqxCheckBox> <JqxCheckBox ref="checkBox2" :groupName="'panel'"> Computers </JqxCheckBox> </div></template> <script>import JqxCheckBox from "jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue";
|
height
|
Number | String
|
null
|
Sets or gets the jqxCheckBox's height.
<template> <JqxCheckBox ref="myCheckBox" :height="100"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the height property. let height = this.$refs.myCheckBox.height;
|
hasThreeStates
|
Boolean
|
false
|
Sets or gets whether the checkbox has 3 states - checked, unchecked and indeterminate.
<template> <JqxCheckBox ref="myCheckBox" :hasThreeStates="true"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the hasThreeStates property. let hasThreeStates = this.$refs.myCheckBox.hasThreeStates;
|
locked
|
Boolean
|
false
|
Sets or gets whether the checkbox is locked. In this mode the user is not allowed to check/uncheck the checkbox.
<template> <JqxCheckBox ref="myCheckBox" :locked="true"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the locked property. let locked = this.$refs.myCheckBox.locked;
|
rtl
|
Boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
<template> <JqxCheckBox ref="myCheckBox" :rtl="true"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the rtl property. let rtl = this.$refs.myCheckBox.rtl;
|
theme
|
String
|
''
|
Sets the widget's theme.
<template> <JqxCheckBox ref="myCheckBox" :theme="'material'"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the theme property. let theme = this.$refs.myCheckBox.theme;
|
width
|
Number | String
|
null
|
Sets or gets the jqxCheckBox's width.
<template> <JqxCheckBox ref="myCheckBox" :width="300"> Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue';
Get the width property. let width = this.$refs.myCheckBox.width;
|
|
checked
|
Event
|
|
This event is triggered when the checkbox is checked.
Code examples
Bind to the checked event of jqxCheckBox.
<template> <JqxCheckBox ref="myCheckBox" @checked="onChecked($event)" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, methods: { onChecked: function (event) { alert( 'do something...');
|
change
|
Event
|
|
This is triggered when the checkbox's state changes from one state to another.
Code examples
Bind to the change event of jqxCheckBox.
<template> <JqxCheckBox ref="myCheckBox" @change="onChange($event)" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, methods: { onChange: function (event) { alert( 'do something...');
|
indeterminate
|
Event
|
|
This event is triggered when the checkbox's checked property is going to be null.
Code examples
Bind to the indeterminate event of jqxCheckBox.
<template> <JqxCheckBox ref="myCheckBox" @indeterminate="onIndeterminate($event)" :hasThreeStates="true" > Check Me Out! </JqxCheckBox> </template> <script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, methods: { onIndeterminate: function (event) { alert( 'do something...');
|
unchecked
|
Event
|
|
This event is triggered when the checkbox is unchecked.
Code examples
Bind to the unchecked event of jqxCheckBox.
<template> <JqxCheckBox ref="myCheckBox" @unchecked="onUnchecked($event)" :checked="true" > Check Me Out! </JqxCheckBox> </template> <script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, methods: { onUnchecked: function (event) { alert( 'do something...');
|
|
Name | Arguments | Return Type |
check
|
None
|
None
|
Checks the checkbox.
<template> <JqxCheckBox ref="myCheckBox" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { this.$refs.myCheckBox.check();
|
disable
|
None
|
None
|
Disables the checkbox.
<template> <JqxCheckBox ref="myCheckBox" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { this.$refs.myCheckBox.disable();
|
destroy
|
None
|
None
|
Destroys the widget.
<template> <JqxCheckBox ref="myCheckBox" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { this.$refs.myCheckBox.destroy();
|
enable
|
None
|
None
|
Enables the checkbox.
<template> <JqxCheckBox ref="myCheckBox" :disabled="true" > Check Me Out! </JqxCheckBox> </template> <script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { this.$refs.myCheckBox.enable();
|
focus
|
None
|
None
|
Focuses the widget.
<template> <JqxCheckBox ref="myCheckBox" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { this.$refs.myCheckBox.focus();
|
indeterminate
|
None
|
None
|
Sets the indeterminate state(checked property value is going to be null after calling this method).
<template> <JqxCheckBox ref="myCheckBox" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { this.$refs.myCheckBox.indeterminate();
|
render
|
None
|
None
|
Renders the widget.
<template> <JqxCheckBox ref="myCheckBox" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { this.$refs.myCheckBox.render();
|
toggle
|
None
|
None
|
Toggles the check state. This method is automatically called when the user clicks the checkbox.
<template> <JqxCheckBox ref="myCheckBox" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { this.$refs.myCheckBox.toggle();
|
uncheck
|
None
|
None
|
Unchecks the checkbox.
<template> <JqxCheckBox ref="myCheckBox" :checked="true" > Check Me Out! </JqxCheckBox> </template> <script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { this.$refs.myCheckBox.uncheck();
|
val
|
value
|
Boolean
|
Sets or gets the value.
<template> <JqxCheckBox ref="myCheckBox" > Check Me Out! </JqxCheckBox> </template>
<script> import JqxCheckBox from 'jqwidgets-scripts/jqwidgets-vue/vue_jqxcheckbox.vue'; export default { components: { JqxCheckBox }, mounted: function () { const value = this.$refs.myCheckBox.val();
|

Name | Type | Default |
animationShowDelay
|
number
|
250
|
Sets or gets the delay of the fade animation when the CheckBox is going to be checked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} animationShowDelay={300}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
animationHideDelay
|
number
|
300
|
Sets or gets the delay of the fade animation when the CheckBox is going to be unchecked.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} animationHideDelay={500} checked={true}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
boxSize
|
number | string
|
"13px"
|
Sets or gets the checkbox's size.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} boxSize={ '15px'}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
checked
|
boolean | null
|
false
|
Sets or gets the check state.
Possible Values: (when the hasThreeStates property value is true)
'true'
'false'
'null'
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} checked={true}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disabled
|
boolean
|
false
|
Sets or gets whether the CheckBox is disabled.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} disabled={true}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enableContainerClick
|
boolean
|
true
|
Sets or gets whether the clicks on the container are handled as clicks on the check box.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} enableContainerClick={false}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
groupName
|
string
|
""
|
Sets or gets the group name. When this property is set, the checkboxes in the same group behave as radio buttons.
|
height
|
number | string
|
null
|
Sets or gets the jqxCheckBox's height.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} height={100}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
hasThreeStates
|
boolean
|
false
|
Sets or gets whether the checkbox has 3 states - checked, unchecked and indeterminate.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} hasThreeStates={true}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
locked
|
boolean
|
false
|
Sets or gets whether the checkbox is locked. In this mode the user is not allowed to check/uncheck the checkbox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} locked={true}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
rtl
|
boolean
|
false
|
Sets or gets a value indicating whether widget's elements are aligned to support locales using right-to-left fonts.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} rtl={true}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
theme
|
string
|
''
|
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} theme={ 'material'}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
width
|
number | string
|
null
|
Sets or gets the jqxCheckBox's width.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} width={300}> Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
|
checked
|
Event
|
|
This event is triggered when the checkbox is checked.
Code examples
Bind to the checked event of jqxCheckBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} onChecked={this.onChecked} > Check Me Out! </JqxCheckBox> ); } private onChecked(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
change
|
Event
|
|
This is triggered when the checkbox's state changes from one state to another.
Code examples
Bind to the change event of jqxCheckBox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public render() { return ( <JqxCheckBox ref={this.myCheckBox} onChange={this.onChange} > Check Me Out! </JqxCheckBox> ); } private onChange(e: Event): void { alert( 'do something...'); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
indeterminate
|
Event
|
|
This event is triggered when the checkbox's checked property is going to be null.
Code examples
Bind to the indeterminate event of jqxCheckBox.
|
unchecked
|
Event
|
|
This event is triggered when the checkbox is unchecked.
Code examples
Bind to the unchecked event of jqxCheckBox.
|
|
Name | Arguments | Return Type |
check
|
None
|
|
Checks the checkbox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public componentDidMount(): void { this.myCheckBox.current!.check(); } public render() { return ( <JqxCheckBox ref={this.myCheckBox} > Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
disable
|
None
|
|
Disables the checkbox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public componentDidMount(): void { this.myCheckBox.current!.disable(); } public render() { return ( <JqxCheckBox ref={this.myCheckBox} > Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
destroy
|
None
|
|
Destroys the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public componentDidMount(): void { this.myCheckBox.current!.destroy(); } public render() { return ( <JqxCheckBox ref={this.myCheckBox} > Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
enable
|
None
|
|
|
focus
|
None
|
|
Focuses the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public componentDidMount(): void { this.myCheckBox.current!.focus(); } public render() { return ( <JqxCheckBox ref={this.myCheckBox} > Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
indeterminate
|
None
|
|
Sets the indeterminate state(checked property value is going to be null after calling this method).
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public componentDidMount(): void { this.myCheckBox.current!.indeterminate(); } public render() { return ( <JqxCheckBox ref={this.myCheckBox} > Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
render
|
None
|
|
Renders the widget.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public componentDidMount(): void { this.myCheckBox.current!.render(); } public render() { return ( <JqxCheckBox ref={this.myCheckBox} > Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
toggle
|
None
|
|
Toggles the check state. This method is automatically called when the user clicks the checkbox.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public componentDidMount(): void { this.myCheckBox.current!.toggle(); } public render() { return ( <JqxCheckBox ref={this.myCheckBox} > Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|
uncheck
|
None
|
|
|
val
|
value
|
|
Sets or gets the value.
/* tslint:disable */ import * as React from 'react'; import * as ReactDOM from 'react-dom'; import 'jqwidgets-scripts/jqwidgets/styles/jqx.base.css'; import JqxCheckBox, { ICheckBoxProps } from 'jqwidgets-scripts/jqwidgets-react-tsx/jqxcheckbox'; class App extends React.PureComponent<{}, ICheckBoxProps> { private myCheckBox = React.createRef<JqxCheckBox>(); public componentDidMount(): void { this.myCheckBox.current!.val(); } public render() { return ( <JqxCheckBox ref={this.myCheckBox} > Check Me Out! </JqxCheckBox> ); } } ReactDOM.render( <App />, document.querySelector( '#app') as HTMLElement);
|

Name | Type | Default |
animationShowDelay
|
Number
|
250
|
Sets or gets the animationShowDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [animationShowDelay]="300"></jqxCheckBox> ` }) export class AppComponent {
|
animationHideDelay
|
Number
|
300
|
Sets or gets the animationHideDelay property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [animationHideDelay]="300"></jqxCheckBox> ` }) export class AppComponent {
|
boxSize
|
Size
|
"13px"
|
Sets or gets the boxSize property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [boxSize]="'15px'"></jqxCheckBox> ` }) export class AppComponent {
|
checked
|
Boolean
|
false
|
Sets or gets the checked property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [checked]="true"></jqxCheckBox> ` }) export class AppComponent {
|
disabled
|
Boolean
|
false
|
Sets or gets the disabled property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [disabled]="true"></jqxCheckBox> ` }) export class AppComponent {
|
enableContainerClick
|
Boolean
|
true
|
Sets or gets the enableContainerClick property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [enableContainerClick]="true"></jqxCheckBox> ` }) export class AppComponent {
|
groupName
|
String
|
""
|
Sets or gets the groupName property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [groupName]="'panel'"></jqxCheckBox> ` }) export class AppComponent {
|
height
|
Size
|
null
|
Sets or gets the height property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [height]="100px"></jqxCheckBox> ` }) export class AppComponent {
|
hasThreeStates
|
Boolean
|
false
|
Sets or gets the hasThreeStates property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [hasThreeStates]="true"></jqxCheckBox> ` }) export class AppComponent {
|
locked
|
Boolean
|
false
|
Sets or gets the locked property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [locked]="true"></jqxCheckBox> ` }) export class AppComponent {
|
rtl
|
Boolean
|
false
|
Sets or gets the rtl property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [rtl]="true"></jqxCheckBox> ` }) export class AppComponent {
|
theme
|
String
|
''
|
Sets or gets the theme property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [theme]="'energyblue'"></jqxCheckBox> ` }) export class AppComponent {
|
width
|
Size
|
null
|
Sets or gets the width property.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox [width]="300"></jqxCheckBox> ` }) export class AppComponent {
|
|
checked
|
Event
|
|
This event is triggered when the checkbox is checked.
Code examples
Bind to the checked event of jqxCheckBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox (onChecked)="Checked($event)"></jqxCheckBox> ` }) export class AppComponent { Checked(event: any): void
|
change
|
Event
|
|
This is triggered when the checkbox's state changes from one state to another.
Code examples
Bind to the change event of jqxCheckBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox (onChange)="Change($event)"></jqxCheckBox> ` }) export class AppComponent {
|
indeterminate
|
Event
|
|
This event is triggered when the checkbox's checked property is going to be null.
Code examples
Bind to the indeterminate event of jqxCheckBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox (onIndeterminate)="Indeterminate($event)"></jqxCheckBox> ` }) export class AppComponent { Indeterminate(event: any): void
|
unchecked
|
Event
|
|
This event is triggered when the checkbox is unchecked.
Code examples
Bind to the unchecked event of jqxCheckBox.
import { Component } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox (onUnchecked)="Unchecked($event)"></jqxCheckBox> ` }) export class AppComponent { Unchecked(event: any): void
|
|
Name | Return Type | Arguments |
check
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent;
|
disable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent; ngAfterViewInit(): void { this.myCheckBox.disable();
|
destroy
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent; ngAfterViewInit(): void { this.myCheckBox.destroy();
|
enable
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent; ngAfterViewInit(): void { this.myCheckBox.enable();
|
focus
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent;
|
indeterminate
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent; ngAfterViewInit(): void { this.myCheckBox.indeterminate();
|
render
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent; ngAfterViewInit(): void { this.myCheckBox.render();
|
toggle
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent; ngAfterViewInit(): void { this.myCheckBox.toggle();
|
uncheck
|
Void
|
None
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent; ngAfterViewInit(): void { this.myCheckBox.uncheck();
|
val
|
Boolean
|
value: Boolean
|
import { Component, ViewChild, AfterViewInit } from "@angular/core"; @Component({ selector: "app-root", template: ` <jqxCheckBox #myCheckBox ></jqxCheckBox> ` }) export class AppComponent implements AfterViewInit { @ViewChild( 'myCheckBox') myCheckBox: jqxCheckBoxComponent; ngAfterViewInit(): void { let value = this.myCheckBox.val();
|